## org.eclipse.emf.ocl.types
Interface TypesPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  TypesPackageImpl

Deprecated. Use the `TypesPackage` interface, instead.

    @Deprecated
    public interface TypesPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `TypesFactory`

Nested Class Summary
`static interface` `TypesPackage.Literals` Deprecated. Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ANY_TYPE` Deprecated. The meta object id for the '`Any Type`' class
`static int` `ANY_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `ANY_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `ANY_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `ANY_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `ANY_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `ANY_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `ANY_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `ANY_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `ANY_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Any Type' class
`static int` `BAG_TYPE` Deprecated. The meta object id for the '`Bag Type`' class
`static int` `BAG_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `BAG_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `BAG_TYPE__ELEMENT_TYPE` Deprecated. The feature id for the 'Element Type' reference
`static int` `BAG_TYPE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `BAG_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `BAG_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `BAG_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `BAG_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `BAG_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `BAG_TYPE__KIND` Deprecated. The feature id for the 'Kind' attribute
`static int` `BAG_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `BAG_TYPE__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `BAG_TYPE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `BAG_TYPE__TYPE_END_POSITION` Deprecated. The feature id for the 'Type End Position' attribute
`static int` `BAG_TYPE__TYPE_START_POSITION` Deprecated. The feature id for the 'Type Start Position' attribute
`static int` `BAG_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Bag Type' class
`static int` `COLLECTION_TYPE` Deprecated. The meta object id for the '`Collection Type`' class
`static int` `COLLECTION_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `COLLECTION_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `COLLECTION_TYPE__ELEMENT_TYPE` Deprecated. The feature id for the 'Element Type' reference
`static int` `COLLECTION_TYPE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `COLLECTION_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `COLLECTION_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `COLLECTION_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `COLLECTION_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `COLLECTION_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `COLLECTION_TYPE__KIND` Deprecated. The feature id for the 'Kind' attribute
`static int` `COLLECTION_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `COLLECTION_TYPE__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `COLLECTION_TYPE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `COLLECTION_TYPE__TYPE_END_POSITION` Deprecated. The feature id for the 'Type End Position' attribute
`static int` `COLLECTION_TYPE__TYPE_START_POSITION` Deprecated. The feature id for the 'Type Start Position' attribute
`static int` `COLLECTION_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Collection Type' class
`static String` `copyright` Deprecated.
`static TypesPackage` `eINSTANCE` Deprecated. The singleton instance of the package
`static int` `ELEMENT_TYPE` Deprecated. The meta object id for the '`Element Type`' class
`static int` `ELEMENT_TYPE__ABSTRACT` Deprecated. The feature id for the 'Abstract' attribute
`static int` `ELEMENT_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `ELEMENT_TYPE__EALL_ATTRIBUTES` Deprecated. The feature id for the 'EAll Attributes' reference list
`static int` `ELEMENT_TYPE__EALL_CONTAINMENTS` Deprecated. The feature id for the 'EAll Containments' reference list
`static int` `ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES` Deprecated. The feature id for the 'EAll Generic Super Types' reference list
`static int` `ELEMENT_TYPE__EALL_OPERATIONS` Deprecated. The feature id for the 'EAll Operations' reference list
`static int` `ELEMENT_TYPE__EALL_REFERENCES` Deprecated. The feature id for the 'EAll References' reference list
`static int` `ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES` Deprecated. The feature id for the 'EAll Structural Features' reference list
`static int` `ELEMENT_TYPE__EALL_SUPER_TYPES` Deprecated. The feature id for the 'EAll Super Types' reference list
`static int` `ELEMENT_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `ELEMENT_TYPE__EATTRIBUTES` Deprecated. The feature id for the 'EAttributes' reference list
`static int` `ELEMENT_TYPE__EGENERIC_SUPER_TYPES` Deprecated. The feature id for the 'EGeneric Super Types' containment reference list
`static int` `ELEMENT_TYPE__EID_ATTRIBUTE` Deprecated. The feature id for the 'EID Attribute' reference
`static int` `ELEMENT_TYPE__EOPERATIONS` Deprecated. The feature id for the 'EOperations' containment reference list
`static int` `ELEMENT_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `ELEMENT_TYPE__EREFERENCES` Deprecated. The feature id for the 'EReferences' reference list
`static int` `ELEMENT_TYPE__ESTRUCTURAL_FEATURES` Deprecated. The feature id for the 'EStructural Features' containment reference list
`static int` `ELEMENT_TYPE__ESUPER_TYPES` Deprecated. The feature id for the 'ESuper Types' reference list
`static int` `ELEMENT_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `ELEMENT_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `ELEMENT_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `ELEMENT_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `ELEMENT_TYPE__INTERFACE` Deprecated. The feature id for the 'Interface' attribute
`static int` `ELEMENT_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `ELEMENT_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Element Type' class
`static String` `eNAME` Deprecated. The package name
`static String` `eNS_PREFIX` Deprecated. The package namespace name
`static String` `eNS_URI` Deprecated. The package namespace URI
`static int` `INVALID_TYPE` Deprecated. The meta object id for the '`Invalid Type`' class
`static int` `INVALID_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `INVALID_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `INVALID_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `INVALID_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `INVALID_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `INVALID_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `INVALID_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `INVALID_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `INVALID_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Invalid Type' class
`static int` `MESSAGE_TYPE` Deprecated. The meta object id for the '`Message Type`' class
`static int` `MESSAGE_TYPE__ABSTRACT` Deprecated. The feature id for the 'Abstract' attribute
`static int` `MESSAGE_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `MESSAGE_TYPE__EALL_ATTRIBUTES` Deprecated. The feature id for the 'EAll Attributes' reference list
`static int` `MESSAGE_TYPE__EALL_CONTAINMENTS` Deprecated. The feature id for the 'EAll Containments' reference list
`static int` `MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES` Deprecated. The feature id for the 'EAll Generic Super Types' reference list
`static int` `MESSAGE_TYPE__EALL_OPERATIONS` Deprecated. The feature id for the 'EAll Operations' reference list
`static int` `MESSAGE_TYPE__EALL_REFERENCES` Deprecated. The feature id for the 'EAll References' reference list
`static int` `MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES` Deprecated. The feature id for the 'EAll Structural Features' reference list
`static int` `MESSAGE_TYPE__EALL_SUPER_TYPES` Deprecated. The feature id for the 'EAll Super Types' reference list
`static int` `MESSAGE_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `MESSAGE_TYPE__EATTRIBUTES` Deprecated. The feature id for the 'EAttributes' reference list
`static int` `MESSAGE_TYPE__EGENERIC_SUPER_TYPES` Deprecated. The feature id for the 'EGeneric Super Types' containment reference list
`static int` `MESSAGE_TYPE__EID_ATTRIBUTE` Deprecated. The feature id for the 'EID Attribute' reference
`static int` `MESSAGE_TYPE__EOPERATIONS` Deprecated. The feature id for the 'EOperations' containment reference list
`static int` `MESSAGE_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `MESSAGE_TYPE__EREFERENCES` Deprecated. The feature id for the 'EReferences' reference list
`static int` `MESSAGE_TYPE__ESTRUCTURAL_FEATURES` Deprecated. The feature id for the 'EStructural Features' containment reference list
`static int` `MESSAGE_TYPE__ESUPER_TYPES` Deprecated. The feature id for the 'ESuper Types' reference list
`static int` `MESSAGE_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `MESSAGE_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `MESSAGE_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `MESSAGE_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `MESSAGE_TYPE__INTERFACE` Deprecated. The feature id for the 'Interface' attribute
`static int` `MESSAGE_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `MESSAGE_TYPE__REFERRED_OPERATION` Deprecated. The feature id for the 'Referred Operation' reference
`static int` `MESSAGE_TYPE__REFERRED_SIGNAL` Deprecated. The feature id for the 'Referred Signal' reference
`static int` `MESSAGE_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Message Type' class
`static EPackage` `OCL_STANDARD_LIBRARY` Deprecated. The package defining the types of the OCL Standard Library.
`static int` `ORDERED_SET_TYPE` Deprecated. The meta object id for the '`Ordered Set Type`' class
`static int` `ORDERED_SET_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `ORDERED_SET_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `ORDERED_SET_TYPE__ELEMENT_TYPE` Deprecated. The feature id for the 'Element Type' reference
`static int` `ORDERED_SET_TYPE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `ORDERED_SET_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `ORDERED_SET_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `ORDERED_SET_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `ORDERED_SET_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `ORDERED_SET_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `ORDERED_SET_TYPE__KIND` Deprecated. The feature id for the 'Kind' attribute
`static int` `ORDERED_SET_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `ORDERED_SET_TYPE__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `ORDERED_SET_TYPE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `ORDERED_SET_TYPE__TYPE_END_POSITION` Deprecated. The feature id for the 'Type End Position' attribute
`static int` `ORDERED_SET_TYPE__TYPE_START_POSITION` Deprecated. The feature id for the 'Type Start Position' attribute
`static int` `ORDERED_SET_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Ordered Set Type' class
`static int` `PRIMITIVE_BOOLEAN` Deprecated. The meta object id for the '`Primitive Boolean`' class
`static int` `PRIMITIVE_BOOLEAN__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `PRIMITIVE_BOOLEAN__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_BOOLEAN__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `PRIMITIVE_BOOLEAN__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `PRIMITIVE_BOOLEAN__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `PRIMITIVE_BOOLEAN__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `PRIMITIVE_BOOLEAN__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `PRIMITIVE_BOOLEAN__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `PRIMITIVE_BOOLEAN__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `PRIMITIVE_BOOLEAN_FEATURE_COUNT` Deprecated. The number of structural features of the 'Primitive Boolean' class
`static int` `PRIMITIVE_INTEGER` Deprecated. The meta object id for the '`Primitive Integer`' class
`static int` `PRIMITIVE_INTEGER__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `PRIMITIVE_INTEGER__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_INTEGER__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `PRIMITIVE_INTEGER__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `PRIMITIVE_INTEGER__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `PRIMITIVE_INTEGER__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `PRIMITIVE_INTEGER__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `PRIMITIVE_INTEGER__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `PRIMITIVE_INTEGER__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `PRIMITIVE_INTEGER_FEATURE_COUNT` Deprecated. The number of structural features of the 'Primitive Integer' class
`static int` `PRIMITIVE_REAL` Deprecated. The meta object id for the '`Primitive Real`' class
`static int` `PRIMITIVE_REAL__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `PRIMITIVE_REAL__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_REAL__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `PRIMITIVE_REAL__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `PRIMITIVE_REAL__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `PRIMITIVE_REAL__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `PRIMITIVE_REAL__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `PRIMITIVE_REAL__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `PRIMITIVE_REAL__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `PRIMITIVE_REAL_FEATURE_COUNT` Deprecated. The number of structural features of the 'Primitive Real' class
`static int` `PRIMITIVE_STRING` Deprecated. The meta object id for the '`Primitive String`' class
`static int` `PRIMITIVE_STRING__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `PRIMITIVE_STRING__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_STRING__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `PRIMITIVE_STRING__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `PRIMITIVE_STRING__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `PRIMITIVE_STRING__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `PRIMITIVE_STRING__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `PRIMITIVE_STRING__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `PRIMITIVE_STRING__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `PRIMITIVE_STRING_FEATURE_COUNT` Deprecated. The number of structural features of the 'Primitive String' class
`static int` `PRIMITIVE_TYPE` Deprecated. The meta object id for the '`Primitive Type`' class
`static int` `PRIMITIVE_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `PRIMITIVE_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `PRIMITIVE_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `PRIMITIVE_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `PRIMITIVE_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `PRIMITIVE_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `PRIMITIVE_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `PRIMITIVE_TYPE__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `PRIMITIVE_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Primitive Type' class
`static int` `SEQUENCE_TYPE` Deprecated. The meta object id for the '`Sequence Type`' class
`static int` `SEQUENCE_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `SEQUENCE_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `SEQUENCE_TYPE__ELEMENT_TYPE` Deprecated. The feature id for the 'Element Type' reference
`static int` `SEQUENCE_TYPE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `SEQUENCE_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `SEQUENCE_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `SEQUENCE_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `SEQUENCE_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `SEQUENCE_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `SEQUENCE_TYPE__KIND` Deprecated. The feature id for the 'Kind' attribute
`static int` `SEQUENCE_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `SEQUENCE_TYPE__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `SEQUENCE_TYPE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `SEQUENCE_TYPE__TYPE_END_POSITION` Deprecated. The feature id for the 'Type End Position' attribute
`static int` `SEQUENCE_TYPE__TYPE_START_POSITION` Deprecated. The feature id for the 'Type Start Position' attribute
`static int` `SEQUENCE_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Sequence Type' class
`static int` `SET_TYPE` Deprecated. The meta object id for the '`Set Type`' class
`static int` `SET_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `SET_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `SET_TYPE__ELEMENT_TYPE` Deprecated. The feature id for the 'Element Type' reference
`static int` `SET_TYPE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `SET_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `SET_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `SET_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `SET_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `SET_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `SET_TYPE__KIND` Deprecated. The feature id for the 'Kind' attribute
`static int` `SET_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `SET_TYPE__SERIALIZABLE` Deprecated. The feature id for the 'Serializable' attribute
`static int` `SET_TYPE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `SET_TYPE__TYPE_END_POSITION` Deprecated. The feature id for the 'Type End Position' attribute
`static int` `SET_TYPE__TYPE_START_POSITION` Deprecated. The feature id for the 'Type Start Position' attribute
`static int` `SET_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Set Type' class
`static int` `TUPLE_TYPE` Deprecated. The meta object id for the '`Tuple Type`' class
`static int` `TUPLE_TYPE__ABSTRACT` Deprecated. The feature id for the 'Abstract' attribute
`static int` `TUPLE_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `TUPLE_TYPE__EALL_ATTRIBUTES` Deprecated. The feature id for the 'EAll Attributes' reference list
`static int` `TUPLE_TYPE__EALL_CONTAINMENTS` Deprecated. The feature id for the 'EAll Containments' reference list
`static int` `TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES` Deprecated. The feature id for the 'EAll Generic Super Types' reference list
`static int` `TUPLE_TYPE__EALL_OPERATIONS` Deprecated. The feature id for the 'EAll Operations' reference list
`static int` `TUPLE_TYPE__EALL_REFERENCES` Deprecated. The feature id for the 'EAll References' reference list
`static int` `TUPLE_TYPE__EALL_STRUCTURAL_FEATURES` Deprecated. The feature id for the 'EAll Structural Features' reference list
`static int` `TUPLE_TYPE__EALL_SUPER_TYPES` Deprecated. The feature id for the 'EAll Super Types' reference list
`static int` `TUPLE_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `TUPLE_TYPE__EATTRIBUTES` Deprecated. The feature id for the 'EAttributes' reference list
`static int` `TUPLE_TYPE__EGENERIC_SUPER_TYPES` Deprecated. The feature id for the 'EGeneric Super Types' containment reference list
`static int` `TUPLE_TYPE__EID_ATTRIBUTE` Deprecated. The feature id for the 'EID Attribute' reference
`static int` `TUPLE_TYPE__EOPERATIONS` Deprecated. The feature id for the 'EOperations' containment reference list
`static int` `TUPLE_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `TUPLE_TYPE__EREFERENCES` Deprecated. The feature id for the 'EReferences' reference list
`static int` `TUPLE_TYPE__ESTRUCTURAL_FEATURES` Deprecated. The feature id for the 'EStructural Features' containment reference list
`static int` `TUPLE_TYPE__ESUPER_TYPES` Deprecated. The feature id for the 'ESuper Types' reference list
`static int` `TUPLE_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `TUPLE_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `TUPLE_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `TUPLE_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `TUPLE_TYPE__INTERFACE` Deprecated. The feature id for the 'Interface' attribute
`static int` `TUPLE_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `TUPLE_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Tuple Type' class
`static int` `TYPE_TYPE` Deprecated. The meta object id for the '`Type Type`' class
`static int` `TYPE_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `TYPE_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `TYPE_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `TYPE_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `TYPE_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `TYPE_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `TYPE_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `TYPE_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `TYPE_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Type Type' class
`static int` `VOID_TYPE` Deprecated. The meta object id for the '`Void Type`' class
`static int` `VOID_TYPE__DEFAULT_VALUE` Deprecated. The feature id for the 'Default Value' attribute
`static int` `VOID_TYPE__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `VOID_TYPE__EPACKAGE` Deprecated. The feature id for the 'EPackage' container reference
`static int` `VOID_TYPE__ETYPE_PARAMETERS` Deprecated. The feature id for the 'EType Parameters' containment reference list
`static int` `VOID_TYPE__INSTANCE_CLASS` Deprecated. The feature id for the 'Instance Class' attribute
`static int` `VOID_TYPE__INSTANCE_CLASS_NAME` Deprecated. The feature id for the 'Instance Class Name' attribute
`static int` `VOID_TYPE__INSTANCE_TYPE_NAME` Deprecated. The feature id for the 'Instance Type Name' attribute
`static int` `VOID_TYPE__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `VOID_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Void Type' class

Method Summary
`EClass` `getAnyType()` Deprecated. Returns the meta object for class '`Any Type`'
`EClass` `getBagType()` Deprecated. Returns the meta object for class '`Bag Type`'
`EReference` `getCollectionType_ElementType()` Deprecated. Returns the meta object for the reference '`Element Type`'
`EAttribute` `getCollectionType_Kind()` Deprecated. Returns the meta object for the attribute '`Kind`'
`EClass` `getCollectionType()` Deprecated. Returns the meta object for class '`Collection Type`'
`EClass` `getElementType()` Deprecated. Returns the meta object for class '`Element Type`'
`EClass` `getInvalidType()` Deprecated. Returns the meta object for class '`Invalid Type`'
`EReference` `getMessageType_ReferredOperation()` Deprecated. Returns the meta object for the reference '`Referred Operation`'
`EReference` `getMessageType_ReferredSignal()` Deprecated. Returns the meta object for the reference '`Referred Signal`'
`EClass` `getMessageType()` Deprecated. Returns the meta object for class '`Message Type`'
`EClass` `getOrderedSetType()` Deprecated. Returns the meta object for class '`Ordered Set Type`'
`EClass` `getPrimitiveBoolean()` Deprecated. Returns the meta object for class '`Primitive Boolean`'
`EClass` `getPrimitiveInteger()` Deprecated. Returns the meta object for class '`Primitive Integer`'
`EClass` `getPrimitiveReal()` Deprecated. Returns the meta object for class '`Primitive Real`'
`EClass` `getPrimitiveString()` Deprecated. Returns the meta object for class '`Primitive String`'
`EClass` `getPrimitiveType()` Deprecated. Returns the meta object for class '`Primitive Type`'
`EClass` `getSequenceType()` Deprecated. Returns the meta object for class '`Sequence Type`'
`EClass` `getSetType()` Deprecated. Returns the meta object for class '`Set Type`'
`EClass` `getTupleType()` Deprecated. Returns the meta object for class '`Tuple Type`'
`TypesFactory` `getTypesFactory()` Deprecated. Returns the factory that creates the instances of the model
`EClass` `getTypeType()` Deprecated. Returns the meta object for class '`Type Type`'
`EClass` `getVoidType()` Deprecated. Returns the meta object for class '`Void Type`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eNAME

    static final String eNAME

  Deprecated.
  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  Deprecated.
  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  Deprecated.
  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final TypesPackage eINSTANCE

  Deprecated.
  The singleton instance of the package.

### OCL_STANDARD_LIBRARY

    static final EPackage OCL_STANDARD_LIBRARY

  Deprecated.
  The package defining the types of the OCL Standard Library.

### ANY_TYPE

    static final int ANY_TYPE

  Deprecated.
  The meta object id for the '`Any Type`' class.

  See Also:
    `AnyTypeImpl`, `TypesPackageImpl.getAnyType()`, Constant Field Values

### ANY_TYPE__EANNOTATIONS

    static final int ANY_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ANY_TYPE__NAME

    static final int ANY_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__INSTANCE_CLASS_NAME

    static final int ANY_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__INSTANCE_CLASS

    static final int ANY_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__DEFAULT_VALUE

    static final int ANY_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__INSTANCE_TYPE_NAME

    static final int ANY_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__EPACKAGE

    static final int ANY_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ANY_TYPE__ETYPE_PARAMETERS

    static final int ANY_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ANY_TYPE_FEATURE_COUNT

    static final int ANY_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Any Type' class.

  See Also:
    Constant Field Values

### COLLECTION_TYPE

    static final int COLLECTION_TYPE

  Deprecated.
  The meta object id for the '`Collection Type`' class.

  See Also:
    `CollectionTypeImpl`, `TypesPackageImpl.getCollectionType()`, Constant Field Values

### COLLECTION_TYPE__EANNOTATIONS

    static final int COLLECTION_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__NAME

    static final int COLLECTION_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__INSTANCE_CLASS_NAME

    static final int COLLECTION_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__INSTANCE_CLASS

    static final int COLLECTION_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__DEFAULT_VALUE

    static final int COLLECTION_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__INSTANCE_TYPE_NAME

    static final int COLLECTION_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__EPACKAGE

    static final int COLLECTION_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__ETYPE_PARAMETERS

    static final int COLLECTION_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__SERIALIZABLE

    static final int COLLECTION_TYPE__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__START_POSITION

    static final int COLLECTION_TYPE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__END_POSITION

    static final int COLLECTION_TYPE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__TYPE_START_POSITION

    static final int COLLECTION_TYPE__TYPE_START_POSITION

  Deprecated.
  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__TYPE_END_POSITION

    static final int COLLECTION_TYPE__TYPE_END_POSITION

  Deprecated.
  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__ELEMENT_TYPE

    static final int COLLECTION_TYPE__ELEMENT_TYPE

  Deprecated.
  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__KIND

    static final int COLLECTION_TYPE__KIND

  Deprecated.
  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_FEATURE_COUNT

    static final int COLLECTION_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Collection Type' class.

  See Also:
    Constant Field Values

### BAG_TYPE

    static final int BAG_TYPE

  Deprecated.
  The meta object id for the '`Bag Type`' class.

  See Also:
    `BagTypeImpl`, `TypesPackageImpl.getBagType()`, Constant Field Values

### BAG_TYPE__EANNOTATIONS

    static final int BAG_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### BAG_TYPE__NAME

    static final int BAG_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__INSTANCE_CLASS_NAME

    static final int BAG_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__INSTANCE_CLASS

    static final int BAG_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__DEFAULT_VALUE

    static final int BAG_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__INSTANCE_TYPE_NAME

    static final int BAG_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__EPACKAGE

    static final int BAG_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### BAG_TYPE__ETYPE_PARAMETERS

    static final int BAG_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### BAG_TYPE__SERIALIZABLE

    static final int BAG_TYPE__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__START_POSITION

    static final int BAG_TYPE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__END_POSITION

    static final int BAG_TYPE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__TYPE_START_POSITION

    static final int BAG_TYPE__TYPE_START_POSITION

  Deprecated.
  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__TYPE_END_POSITION

    static final int BAG_TYPE__TYPE_END_POSITION

  Deprecated.
  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__ELEMENT_TYPE

    static final int BAG_TYPE__ELEMENT_TYPE

  Deprecated.
  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### BAG_TYPE__KIND

    static final int BAG_TYPE__KIND

  Deprecated.
  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE_FEATURE_COUNT

    static final int BAG_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Bag Type' class.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE

    static final int ORDERED_SET_TYPE

  Deprecated.
  The meta object id for the '`Ordered Set Type`' class.

  See Also:
    `OrderedSetTypeImpl`, `TypesPackageImpl.getOrderedSetType()`, Constant Field Values

### PRIMITIVE_TYPE

    static final int PRIMITIVE_TYPE

  Deprecated.
  The meta object id for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `TypesPackageImpl.getPrimitiveType()`, Constant Field Values

### PRIMITIVE_BOOLEAN

    static final int PRIMITIVE_BOOLEAN

  Deprecated.
  The meta object id for the '`Primitive Boolean`' class.

  See Also:
    `PrimitiveBooleanImpl`, `TypesPackageImpl.getPrimitiveBoolean()`, Constant Field Values

### PRIMITIVE_REAL

    static final int PRIMITIVE_REAL

  Deprecated.
  The meta object id for the '`Primitive Real`' class.

  See Also:
    `PrimitiveRealImpl`, `TypesPackageImpl.getPrimitiveReal()`, Constant Field Values

### PRIMITIVE_INTEGER

    static final int PRIMITIVE_INTEGER

  Deprecated.
  The meta object id for the '`Primitive Integer`' class.

  See Also:
    `PrimitiveIntegerImpl`, `TypesPackageImpl.getPrimitiveInteger()`, Constant Field Values

### PRIMITIVE_STRING

    static final int PRIMITIVE_STRING

  Deprecated.
  The meta object id for the '`Primitive String`' class.

  See Also:
    `PrimitiveStringImpl`, `TypesPackageImpl.getPrimitiveString()`, Constant Field Values

### SEQUENCE_TYPE

    static final int SEQUENCE_TYPE

  Deprecated.
  The meta object id for the '`Sequence Type`' class.

  See Also:
    `SequenceTypeImpl`, `TypesPackageImpl.getSequenceType()`, Constant Field Values

### SET_TYPE

    static final int SET_TYPE

  Deprecated.
  The meta object id for the '`Set Type`' class.

  See Also:
    `SetTypeImpl`, `TypesPackageImpl.getSetType()`, Constant Field Values

### TUPLE_TYPE

    static final int TUPLE_TYPE

  Deprecated.
  The meta object id for the '`Tuple Type`' class.

  See Also:
    `TupleTypeImpl`, `TypesPackageImpl.getTupleType()`, Constant Field Values

### VOID_TYPE

    static final int VOID_TYPE

  Deprecated.
  The meta object id for the '`Void Type`' class.

  See Also:
    `VoidTypeImpl`, `TypesPackageImpl.getVoidType()`, Constant Field Values

### MESSAGE_TYPE

    static final int MESSAGE_TYPE

  Deprecated.
  The meta object id for the '`Message Type`' class.

  See Also:
    `MessageTypeImpl`, `TypesPackageImpl.getMessageType()`, Constant Field Values

### ELEMENT_TYPE

    static final int ELEMENT_TYPE

  Deprecated.
  The meta object id for the '`Element Type`' class.

  See Also:
    `ElementTypeImpl`, `TypesPackageImpl.getElementType()`, Constant Field Values

### ELEMENT_TYPE__EANNOTATIONS

    static final int ELEMENT_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__NAME

    static final int ELEMENT_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INSTANCE_CLASS_NAME

    static final int ELEMENT_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INSTANCE_CLASS

    static final int ELEMENT_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__DEFAULT_VALUE

    static final int ELEMENT_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INSTANCE_TYPE_NAME

    static final int ELEMENT_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EPACKAGE

    static final int ELEMENT_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ETYPE_PARAMETERS

    static final int ELEMENT_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ABSTRACT

    static final int ELEMENT_TYPE__ABSTRACT

  Deprecated.
  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INTERFACE

    static final int ELEMENT_TYPE__INTERFACE

  Deprecated.
  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ESUPER_TYPES

    static final int ELEMENT_TYPE__ESUPER_TYPES

  Deprecated.
  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EOPERATIONS

    static final int ELEMENT_TYPE__EOPERATIONS

  Deprecated.
  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_ATTRIBUTES

    static final int ELEMENT_TYPE__EALL_ATTRIBUTES

  Deprecated.
  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_REFERENCES

    static final int ELEMENT_TYPE__EALL_REFERENCES

  Deprecated.
  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EREFERENCES

    static final int ELEMENT_TYPE__EREFERENCES

  Deprecated.
  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EATTRIBUTES

    static final int ELEMENT_TYPE__EATTRIBUTES

  Deprecated.
  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_CONTAINMENTS

    static final int ELEMENT_TYPE__EALL_CONTAINMENTS

  Deprecated.
  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_OPERATIONS

    static final int ELEMENT_TYPE__EALL_OPERATIONS

  Deprecated.
  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES

    static final int ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES

  Deprecated.
  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_SUPER_TYPES

    static final int ELEMENT_TYPE__EALL_SUPER_TYPES

  Deprecated.
  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EID_ATTRIBUTE

    static final int ELEMENT_TYPE__EID_ATTRIBUTE

  Deprecated.
  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ESTRUCTURAL_FEATURES

    static final int ELEMENT_TYPE__ESTRUCTURAL_FEATURES

  Deprecated.
  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EGENERIC_SUPER_TYPES

    static final int ELEMENT_TYPE__EGENERIC_SUPER_TYPES

  Deprecated.
  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES

  Deprecated.
  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE_FEATURE_COUNT

    static final int ELEMENT_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Element Type' class.

  See Also:
    Constant Field Values

### INVALID_TYPE

    static final int INVALID_TYPE

  Deprecated.
  The meta object id for the '`Invalid Type`' class.

  See Also:
    `InvalidTypeImpl`, `TypesPackageImpl.getInvalidType()`, Constant Field Values

### INVALID_TYPE__EANNOTATIONS

    static final int INVALID_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INVALID_TYPE__NAME

    static final int INVALID_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__INSTANCE_CLASS_NAME

    static final int INVALID_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__INSTANCE_CLASS

    static final int INVALID_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__DEFAULT_VALUE

    static final int INVALID_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__INSTANCE_TYPE_NAME

    static final int INVALID_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__EPACKAGE

    static final int INVALID_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### INVALID_TYPE__ETYPE_PARAMETERS

    static final int INVALID_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### INVALID_TYPE_FEATURE_COUNT

    static final int INVALID_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Invalid Type' class.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EANNOTATIONS

    static final int MESSAGE_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__NAME

    static final int MESSAGE_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INSTANCE_CLASS_NAME

    static final int MESSAGE_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INSTANCE_CLASS

    static final int MESSAGE_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__DEFAULT_VALUE

    static final int MESSAGE_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INSTANCE_TYPE_NAME

    static final int MESSAGE_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EPACKAGE

    static final int MESSAGE_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ETYPE_PARAMETERS

    static final int MESSAGE_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ABSTRACT

    static final int MESSAGE_TYPE__ABSTRACT

  Deprecated.
  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INTERFACE

    static final int MESSAGE_TYPE__INTERFACE

  Deprecated.
  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ESUPER_TYPES

    static final int MESSAGE_TYPE__ESUPER_TYPES

  Deprecated.
  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EOPERATIONS

    static final int MESSAGE_TYPE__EOPERATIONS

  Deprecated.
  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_ATTRIBUTES

    static final int MESSAGE_TYPE__EALL_ATTRIBUTES

  Deprecated.
  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_REFERENCES

    static final int MESSAGE_TYPE__EALL_REFERENCES

  Deprecated.
  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EREFERENCES

    static final int MESSAGE_TYPE__EREFERENCES

  Deprecated.
  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EATTRIBUTES

    static final int MESSAGE_TYPE__EATTRIBUTES

  Deprecated.
  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_CONTAINMENTS

    static final int MESSAGE_TYPE__EALL_CONTAINMENTS

  Deprecated.
  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_OPERATIONS

    static final int MESSAGE_TYPE__EALL_OPERATIONS

  Deprecated.
  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES

    static final int MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES

  Deprecated.
  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_SUPER_TYPES

    static final int MESSAGE_TYPE__EALL_SUPER_TYPES

  Deprecated.
  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EID_ATTRIBUTE

    static final int MESSAGE_TYPE__EID_ATTRIBUTE

  Deprecated.
  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ESTRUCTURAL_FEATURES

    static final int MESSAGE_TYPE__ESTRUCTURAL_FEATURES

  Deprecated.
  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EGENERIC_SUPER_TYPES

    static final int MESSAGE_TYPE__EGENERIC_SUPER_TYPES

  Deprecated.
  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES

  Deprecated.
  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__REFERRED_OPERATION

    static final int MESSAGE_TYPE__REFERRED_OPERATION

  Deprecated.
  The feature id for the 'Referred Operation' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__REFERRED_SIGNAL

    static final int MESSAGE_TYPE__REFERRED_SIGNAL

  Deprecated.
  The feature id for the 'Referred Signal' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_FEATURE_COUNT

    static final int MESSAGE_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Message Type' class.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__EANNOTATIONS

    static final int ORDERED_SET_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__NAME

    static final int ORDERED_SET_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__INSTANCE_CLASS_NAME

    static final int ORDERED_SET_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__INSTANCE_CLASS

    static final int ORDERED_SET_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__DEFAULT_VALUE

    static final int ORDERED_SET_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__INSTANCE_TYPE_NAME

    static final int ORDERED_SET_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__EPACKAGE

    static final int ORDERED_SET_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__ETYPE_PARAMETERS

    static final int ORDERED_SET_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__SERIALIZABLE

    static final int ORDERED_SET_TYPE__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__START_POSITION

    static final int ORDERED_SET_TYPE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__END_POSITION

    static final int ORDERED_SET_TYPE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__TYPE_START_POSITION

    static final int ORDERED_SET_TYPE__TYPE_START_POSITION

  Deprecated.
  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__TYPE_END_POSITION

    static final int ORDERED_SET_TYPE__TYPE_END_POSITION

  Deprecated.
  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__ELEMENT_TYPE

    static final int ORDERED_SET_TYPE__ELEMENT_TYPE

  Deprecated.
  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__KIND

    static final int ORDERED_SET_TYPE__KIND

  Deprecated.
  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE_FEATURE_COUNT

    static final int ORDERED_SET_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Ordered Set Type' class.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__EANNOTATIONS

    static final int PRIMITIVE_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__NAME

    static final int PRIMITIVE_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__INSTANCE_CLASS_NAME

    static final int PRIMITIVE_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__INSTANCE_CLASS

    static final int PRIMITIVE_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__DEFAULT_VALUE

    static final int PRIMITIVE_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__INSTANCE_TYPE_NAME

    static final int PRIMITIVE_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__EPACKAGE

    static final int PRIMITIVE_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__ETYPE_PARAMETERS

    static final int PRIMITIVE_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__SERIALIZABLE

    static final int PRIMITIVE_TYPE__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_FEATURE_COUNT

    static final int PRIMITIVE_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Primitive Type' class.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__EANNOTATIONS

    static final int PRIMITIVE_BOOLEAN__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__NAME

    static final int PRIMITIVE_BOOLEAN__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__INSTANCE_CLASS_NAME

    static final int PRIMITIVE_BOOLEAN__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__INSTANCE_CLASS

    static final int PRIMITIVE_BOOLEAN__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__DEFAULT_VALUE

    static final int PRIMITIVE_BOOLEAN__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__INSTANCE_TYPE_NAME

    static final int PRIMITIVE_BOOLEAN__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__EPACKAGE

    static final int PRIMITIVE_BOOLEAN__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__ETYPE_PARAMETERS

    static final int PRIMITIVE_BOOLEAN__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN__SERIALIZABLE

    static final int PRIMITIVE_BOOLEAN__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_BOOLEAN_FEATURE_COUNT

    static final int PRIMITIVE_BOOLEAN_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Primitive Boolean' class.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__EANNOTATIONS

    static final int PRIMITIVE_REAL__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__NAME

    static final int PRIMITIVE_REAL__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__INSTANCE_CLASS_NAME

    static final int PRIMITIVE_REAL__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__INSTANCE_CLASS

    static final int PRIMITIVE_REAL__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__DEFAULT_VALUE

    static final int PRIMITIVE_REAL__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__INSTANCE_TYPE_NAME

    static final int PRIMITIVE_REAL__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__EPACKAGE

    static final int PRIMITIVE_REAL__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__ETYPE_PARAMETERS

    static final int PRIMITIVE_REAL__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL__SERIALIZABLE

    static final int PRIMITIVE_REAL__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_REAL_FEATURE_COUNT

    static final int PRIMITIVE_REAL_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Primitive Real' class.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__EANNOTATIONS

    static final int PRIMITIVE_INTEGER__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__NAME

    static final int PRIMITIVE_INTEGER__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__INSTANCE_CLASS_NAME

    static final int PRIMITIVE_INTEGER__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__INSTANCE_CLASS

    static final int PRIMITIVE_INTEGER__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__DEFAULT_VALUE

    static final int PRIMITIVE_INTEGER__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__INSTANCE_TYPE_NAME

    static final int PRIMITIVE_INTEGER__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__EPACKAGE

    static final int PRIMITIVE_INTEGER__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__ETYPE_PARAMETERS

    static final int PRIMITIVE_INTEGER__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER__SERIALIZABLE

    static final int PRIMITIVE_INTEGER__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_INTEGER_FEATURE_COUNT

    static final int PRIMITIVE_INTEGER_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Primitive Integer' class.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__EANNOTATIONS

    static final int PRIMITIVE_STRING__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__NAME

    static final int PRIMITIVE_STRING__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__INSTANCE_CLASS_NAME

    static final int PRIMITIVE_STRING__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__INSTANCE_CLASS

    static final int PRIMITIVE_STRING__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__DEFAULT_VALUE

    static final int PRIMITIVE_STRING__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__INSTANCE_TYPE_NAME

    static final int PRIMITIVE_STRING__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__EPACKAGE

    static final int PRIMITIVE_STRING__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__ETYPE_PARAMETERS

    static final int PRIMITIVE_STRING__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING__SERIALIZABLE

    static final int PRIMITIVE_STRING__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_STRING_FEATURE_COUNT

    static final int PRIMITIVE_STRING_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Primitive String' class.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__EANNOTATIONS

    static final int SEQUENCE_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__NAME

    static final int SEQUENCE_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__INSTANCE_CLASS_NAME

    static final int SEQUENCE_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__INSTANCE_CLASS

    static final int SEQUENCE_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__DEFAULT_VALUE

    static final int SEQUENCE_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__INSTANCE_TYPE_NAME

    static final int SEQUENCE_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__EPACKAGE

    static final int SEQUENCE_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__ETYPE_PARAMETERS

    static final int SEQUENCE_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__SERIALIZABLE

    static final int SEQUENCE_TYPE__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__START_POSITION

    static final int SEQUENCE_TYPE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__END_POSITION

    static final int SEQUENCE_TYPE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__TYPE_START_POSITION

    static final int SEQUENCE_TYPE__TYPE_START_POSITION

  Deprecated.
  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__TYPE_END_POSITION

    static final int SEQUENCE_TYPE__TYPE_END_POSITION

  Deprecated.
  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__ELEMENT_TYPE

    static final int SEQUENCE_TYPE__ELEMENT_TYPE

  Deprecated.
  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__KIND

    static final int SEQUENCE_TYPE__KIND

  Deprecated.
  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE_FEATURE_COUNT

    static final int SEQUENCE_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Sequence Type' class.

  See Also:
    Constant Field Values

### SET_TYPE__EANNOTATIONS

    static final int SET_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SET_TYPE__NAME

    static final int SET_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__INSTANCE_CLASS_NAME

    static final int SET_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__INSTANCE_CLASS

    static final int SET_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__DEFAULT_VALUE

    static final int SET_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__INSTANCE_TYPE_NAME

    static final int SET_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__EPACKAGE

    static final int SET_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### SET_TYPE__ETYPE_PARAMETERS

    static final int SET_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### SET_TYPE__SERIALIZABLE

    static final int SET_TYPE__SERIALIZABLE

  Deprecated.
  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__START_POSITION

    static final int SET_TYPE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__END_POSITION

    static final int SET_TYPE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__TYPE_START_POSITION

    static final int SET_TYPE__TYPE_START_POSITION

  Deprecated.
  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__TYPE_END_POSITION

    static final int SET_TYPE__TYPE_END_POSITION

  Deprecated.
  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__ELEMENT_TYPE

    static final int SET_TYPE__ELEMENT_TYPE

  Deprecated.
  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### SET_TYPE__KIND

    static final int SET_TYPE__KIND

  Deprecated.
  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### SET_TYPE_FEATURE_COUNT

    static final int SET_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Set Type' class.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EANNOTATIONS

    static final int TUPLE_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__NAME

    static final int TUPLE_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INSTANCE_CLASS_NAME

    static final int TUPLE_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INSTANCE_CLASS

    static final int TUPLE_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__DEFAULT_VALUE

    static final int TUPLE_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INSTANCE_TYPE_NAME

    static final int TUPLE_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EPACKAGE

    static final int TUPLE_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ETYPE_PARAMETERS

    static final int TUPLE_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ABSTRACT

    static final int TUPLE_TYPE__ABSTRACT

  Deprecated.
  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INTERFACE

    static final int TUPLE_TYPE__INTERFACE

  Deprecated.
  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ESUPER_TYPES

    static final int TUPLE_TYPE__ESUPER_TYPES

  Deprecated.
  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EOPERATIONS

    static final int TUPLE_TYPE__EOPERATIONS

  Deprecated.
  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_ATTRIBUTES

    static final int TUPLE_TYPE__EALL_ATTRIBUTES

  Deprecated.
  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_REFERENCES

    static final int TUPLE_TYPE__EALL_REFERENCES

  Deprecated.
  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EREFERENCES

    static final int TUPLE_TYPE__EREFERENCES

  Deprecated.
  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EATTRIBUTES

    static final int TUPLE_TYPE__EATTRIBUTES

  Deprecated.
  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_CONTAINMENTS

    static final int TUPLE_TYPE__EALL_CONTAINMENTS

  Deprecated.
  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_OPERATIONS

    static final int TUPLE_TYPE__EALL_OPERATIONS

  Deprecated.
  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_STRUCTURAL_FEATURES

    static final int TUPLE_TYPE__EALL_STRUCTURAL_FEATURES

  Deprecated.
  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_SUPER_TYPES

    static final int TUPLE_TYPE__EALL_SUPER_TYPES

  Deprecated.
  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EID_ATTRIBUTE

    static final int TUPLE_TYPE__EID_ATTRIBUTE

  Deprecated.
  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ESTRUCTURAL_FEATURES

    static final int TUPLE_TYPE__ESTRUCTURAL_FEATURES

  Deprecated.
  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EGENERIC_SUPER_TYPES

    static final int TUPLE_TYPE__EGENERIC_SUPER_TYPES

  Deprecated.
  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES

  Deprecated.
  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE_FEATURE_COUNT

    static final int TUPLE_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Tuple Type' class.

  See Also:
    Constant Field Values

### TYPE_TYPE

    static final int TYPE_TYPE

  Deprecated.
  The meta object id for the '`Type Type`' class.

  See Also:
    `TypeTypeImpl`, `TypesPackageImpl.getTypeType()`, Constant Field Values

### TYPE_TYPE__EANNOTATIONS

    static final int TYPE_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TYPE_TYPE__NAME

    static final int TYPE_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__INSTANCE_CLASS_NAME

    static final int TYPE_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__INSTANCE_CLASS

    static final int TYPE_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__DEFAULT_VALUE

    static final int TYPE_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__INSTANCE_TYPE_NAME

    static final int TYPE_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__EPACKAGE

    static final int TYPE_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### TYPE_TYPE__ETYPE_PARAMETERS

    static final int TYPE_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### TYPE_TYPE_FEATURE_COUNT

    static final int TYPE_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Type Type' class.

  See Also:
    Constant Field Values

### VOID_TYPE__EANNOTATIONS

    static final int VOID_TYPE__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### VOID_TYPE__NAME

    static final int VOID_TYPE__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__INSTANCE_CLASS_NAME

    static final int VOID_TYPE__INSTANCE_CLASS_NAME

  Deprecated.
  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__INSTANCE_CLASS

    static final int VOID_TYPE__INSTANCE_CLASS

  Deprecated.
  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__DEFAULT_VALUE

    static final int VOID_TYPE__DEFAULT_VALUE

  Deprecated.
  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__INSTANCE_TYPE_NAME

    static final int VOID_TYPE__INSTANCE_TYPE_NAME

  Deprecated.
  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__EPACKAGE

    static final int VOID_TYPE__EPACKAGE

  Deprecated.
  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### VOID_TYPE__ETYPE_PARAMETERS

    static final int VOID_TYPE__ETYPE_PARAMETERS

  Deprecated.
  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### VOID_TYPE_FEATURE_COUNT

    static final int VOID_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Void Type' class.

  See Also:
    Constant Field Values

Method Detail

### getAnyType

    EClass getAnyType()

  Deprecated.
  Returns the meta object for class '`Any Type`'.

  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getBagType

    EClass getBagType()

  Deprecated.
  Returns the meta object for class '`Bag Type`'.

  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getCollectionType

    EClass getCollectionType()

  Deprecated.
  Returns the meta object for class '`Collection Type`'.

  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getCollectionType_ElementType

    EReference getCollectionType_ElementType()

  Deprecated.
  Returns the meta object for the reference '`Element Type`'.

  Returns:
    the meta object for the reference 'Element Type'.
  See Also:
    `CollectionType.getElementType()`, `getCollectionType()`

### getCollectionType_Kind

    EAttribute getCollectionType_Kind()

  Deprecated.
  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `CollectionType.getKind()`, `getCollectionType()`

### getOrderedSetType

    EClass getOrderedSetType()

  Deprecated.
  Returns the meta object for class '`Ordered Set Type`'.

  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getPrimitiveBoolean

    EClass getPrimitiveBoolean()

  Deprecated.
  Returns the meta object for class '`Primitive Boolean`'.

  Returns:
    the meta object for class 'Primitive Boolean'.
  See Also:
    `PrimitiveBoolean`

### getPrimitiveInteger

    EClass getPrimitiveInteger()

  Deprecated.
  Returns the meta object for class '`Primitive Integer`'.

  Returns:
    the meta object for class 'Primitive Integer'.
  See Also:
    `PrimitiveInteger`

### getPrimitiveReal

    EClass getPrimitiveReal()

  Deprecated.
  Returns the meta object for class '`Primitive Real`'.

  Returns:
    the meta object for class 'Primitive Real'.
  See Also:
    `PrimitiveReal`

### getPrimitiveString

    EClass getPrimitiveString()

  Deprecated.
  Returns the meta object for class '`Primitive String`'.

  Returns:
    the meta object for class 'Primitive String'.
  See Also:
    `PrimitiveString`

### getPrimitiveType

    EClass getPrimitiveType()

  Deprecated.
  Returns the meta object for class '`Primitive Type`'.

  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getSequenceType

    EClass getSequenceType()

  Deprecated.
  Returns the meta object for class '`Sequence Type`'.

  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getSetType

    EClass getSetType()

  Deprecated.
  Returns the meta object for class '`Set Type`'.

  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getTupleType

    EClass getTupleType()

  Deprecated.
  Returns the meta object for class '`Tuple Type`'.

  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getVoidType

    EClass getVoidType()

  Deprecated.
  Returns the meta object for class '`Void Type`'.

  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getMessageType

    EClass getMessageType()

  Deprecated.
  Returns the meta object for class '`Message Type`'.

  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getMessageType_ReferredSignal

    EReference getMessageType_ReferredSignal()

  Deprecated.
  Returns the meta object for the reference '`Referred Signal`'.

  Returns:
    the meta object for the reference 'Referred Signal'.
  See Also:
    `MessageType.getReferredSignal()`, `getMessageType()`

### getElementType

    EClass getElementType()

  Deprecated.
  Returns the meta object for class '`Element Type`'.

  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getInvalidType

    EClass getInvalidType()

  Deprecated.
  Returns the meta object for class '`Invalid Type`'.

  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getTypeType

    EClass getTypeType()

  Deprecated.
  Returns the meta object for class '`Type Type`'.

  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getMessageType_ReferredOperation

    EReference getMessageType_ReferredOperation()

  Deprecated.
  Returns the meta object for the reference '`Referred Operation`'.

  Returns:
    the meta object for the reference 'Referred Operation'.
  See Also:
    `MessageType.getReferredOperation()`, `getMessageType()`

### getTypesFactory

    TypesFactory getTypesFactory()

  Deprecated.
  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.